com.rs.xbrl.instructions.formula

## Interface AspectOrFilter

- All Known Implementing Classes:
    ChildAspectOrFilter, ChildOrSelfAspectOrFilter, ConceptNameAspectOrFilter, DescendantAspectOrFilter, DescendantOrSelfAspectOrFilter, DimensionAndMemberAspectOrFilter, GeneralFilterXPathAspectOrFilter, PeriodAspectOrFilterInDurationIsBase, PeriodAspectOrFilterInInstantMatchesBOP, PeriodAspectOrFilterInInstantMatchesEOP, PeriodAspectOrFilterPeriodBase, PeriodAspectOrFilterPeriodEnd, PeriodAspectOrFilterPeriodInstant, PeriodAspectOrFilterPeriodStart, PureDimensionAndMemberAspectOrFilter

      public interface AspectOrFilter

  This interface describes methods for classes that will serve either as an Aspect for a generated element in a formula or as a filter to select facts from an instance. For example, when a dimension=member is found it can be represented in those two forms, when a dimension=child(member) is found, this can be converted to a filter only
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMLFragment` | `getAspectFragment(DTSContainer dts)` Generates an XMLFragment that can be used as one additional aspect on a formula.
    `XBRLResource` | `getFilterFragment(GenerationContext gc)` Generated an XMLFragment that can be used as one additional filter on a formula.
    `java.lang.String` | `toString()` Force implementation of toString(), this shall return the source aspect.

- - ### Method Detail

    - #### getAspectFragment

          XMLFragment getAspectFragment(DTSContainer dts)

      Generates an XMLFragment that can be used as one additional aspect on a formula.
      Parameters:
        `dts` - the dts
      Returns:
        XMLFragment or null if cannot be generated

    - #### getFilterFragment

          XBRLResource getFilterFragment(GenerationContext gc)

      Generated an XMLFragment that can be used as one additional filter on a formula.
      Parameters:
        `gc` - the gc
      Returns:
        XMLFragment or null if cannot be generated

    - #### toString

          java.lang.String toString()

      Force implementation of toString(), this shall return the source aspect.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string